IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfServiceCPWServicePriceBrowse]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure adfServiceCPWServicePriceBrowse'
		DROP PROCEDURE [dbo].adfServiceCPWServicePriceBrowse
	END
GO

PRINT 'Creating procedure adfServiceCPWServicePriceBrowse'
GO

/******************************************************************************
**		File: adfServiceCPWServicePriceBrowse.sql
**		Name: adfServiceCPWServicePriceBrowse
**		Desc:         . 
**				 ""    
**		Author: Maria Bastrakova 
**
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE PROCEDURE [adfServiceCPWServicePriceBrowse]
	@CurrencyCode	NCHAR(4)		
AS
	SET NOCOUNT ON
	
	SELECT 
		[ServicePrice].[ServiceID],
		[ServicePrice].[Price]
	FROM 
		[ServicePrice]
	WHERE
		[ServicePrice].CurrencyCode = @CurrencyCode
		
	RETURN 0
GO

GRANT EXECUTE ON [adfServiceCPWServicePriceBrowse] TO PUBLIC
GO
 