IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfGetTimeBias')
	BEGIN
		PRINT 'Dropping Procedure adfGetTimeBias'
		DROP  Procedure  adfGetTimeBias
	END

GO

PRINT 'Creating Procedure adfGetTimeBias'
GO
/******************************************************************************
**		File: 
**		Name: adfGetTimeBias
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: pavel.svintsov
**		Date: 25.01.2010
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfGetTimeBias
AS
	SET NOCOUNT ON
	
	SELECT
		GETDATE(),
		CONVERT(varchar(100), GETDATE(), 121)
	
	RETURN 0
GO

GRANT EXEC ON adfGetTimeBias TO PUBLIC
GO
