SET IDENTITY_INSERT [Folder] ON
INSERT INTO [Folder] ([ID], [State], [Flag], [FileAs], [VersionControl]) VALUES (-1, 1, 0, 'Bin', 0) 
SET IDENTITY_INSERT [Folder] OFF

SET IDENTITY_INSERT [Folder] ON
INSERT INTO [Folder] ([ID], [State], [Flag], [FileAs], [VersionControl]) VALUES (0, 1, 0, 'GarbageCollection', 1) 
SET IDENTITY_INSERT [Folder] OFF
GO

SET IDENTITY_INSERT [Folder] ON
INSERT INTO [Folder] ([ID], [State], [Flag], [FileAs]) VALUES (1, 1, 0, ' ') 
SET IDENTITY_INSERT [Folder] OFF
GO

INSERT INTO [FolderAccessControl] 
	([TrusteeID], [FolderID], [AccessRights])
VALUES
	(0, 1, 0x223F)
GO

SET IDENTITY_INSERT [DocumentType] ON
INSERT INTO [DocumentType] ([ID], [State], [Flag], [Code], [FileAs]) VALUES(1, 1, 0, 'Incoming', '')
INSERT INTO [DocumentType] ([ID], [State], [Flag], [Code], [FileAs]) VALUES(2, 1, 0, 'Internal', '')
INSERT INTO [DocumentType] ([ID], [State], [Flag], [Code], [FileAs]) VALUES(3, 1, 0, 'Outgoing', '')
SET IDENTITY_INSERT [DocumentType] OFF

DECLARE @Class TClass
SET @Class = dbo.adfGetClassByName('Pjm5.DocumentType')

INSERT INTO [DocumentGlobal] ([Class], [ID], [Language], [FileAs])
VALUES	(@Class, 1, 'ru', '')
INSERT INTO [DocumentGlobal] ([Class], [ID], [Language], [FileAs])
VALUES	(@Class, 2, 'ru', '')
INSERT INTO [DocumentGlobal] ([Class], [ID], [Language], [FileAs])
VALUES	(@Class, 3, 'ru', '')

INSERT INTO [DocumentGlobal] ([Class], [ID], [Language], [FileAs])
VALUES	(@Class, 1, 'en', 'Incoming')
INSERT INTO [DocumentGlobal] ([Class], [ID], [Language], [FileAs])
VALUES	(@Class, 2, 'en', 'Internal')
INSERT INTO [DocumentGlobal] ([Class], [ID], [Language], [FileAs])
VALUES	(@Class, 3, 'en', 'Outgoing')

GO
