DECLARE @Class TClass, @ID TIdentifier

-- Company properties
SET @Class = dbo.adfGetClassByName('Adf.Company')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000001-0000-0000-0000-000000000000', '   ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '   ', 'Text')
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Name in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000002-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Postal address in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000003-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Legal address in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000004-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Actual/real address in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000005-0000-0000-0000-000000000000', ' ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', ' ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Applicable legislation', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000006-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Applicable legislation in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000007-0000-0000-0000-000000000000', '  ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '  ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Basis for performing activities', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000008-0000-0000-0000-000000000000', '     ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '     ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Basis for performing activities in additional language', 'Text')
----
	
-- Employee properties
SET @Class = dbo.adfGetClassByName('Adf.Employee')
INSERT INTO [Property]([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000001-0000-0000-0000-000000000000', '   ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '   ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Name in the genitive case', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000002-0000-0000-0000-000000000000', '  ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '  ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Signature name', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000003-0000-0000-0000-000000000000', '  ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '  ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Basis for performing activities', 'Text')
----
	
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000004-0000-0000-0000-000000000000', ' e-mail ', 'Text', 'Text', 1) 
SELECT @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', ' e-mail ', 'Text')
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'en', 'E-mail notification language', 'Text')

--------------------------------------------------------
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000005-0000-0000-0000-000000000000', '      ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '      ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Name in the genitive case in additional language', 'Text')
--------------------------------------------------------

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000006-0000-0000-0000-000000000000', '     ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '     ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Signature name in additional language', 'Text')

---------------------------------------------------------
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000007-0000-0000-0000-000000000000', '     ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '     ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Basis for performing activities in additional language', 'Text')

--------------------------------------------------------
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000008-0000-0000-0000-000000000000', '   ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '   ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Name in additional language', 'Text')

-- Issue builtin properties
SET @Class = dbo.adfGetClassByName('Pjm5.Issue')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000001-0000-0000-0000-000000000000', '-mail ', 'Text', 'Text', 1)
SET @ID =  SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '-mail ', 'Text')
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'en', 'Originator -mail', 'Text')

----------------------------------------------------------------------------------------------

-- ActivityType properties
SET @Class = dbo.adfGetClassByName('Adf.ActivityType')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000001-0000-0000-0000-000000000000', '   ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '   ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Position in additional language', 'Text')
----

----------------------------------------------------------------------------------------------

-- Position properties
SET @Class = dbo.adfGetClassByName('Adf.Position')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000001-0000-0000-0000-000000000000', '   ', 'Text', 'Text', 1)
SET @ID =  SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '   ', 'Text')
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'en', 'Position in genitive case', 'Text')
----
	
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000002-0000-0000-0000-000000000000', '   ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '   ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Position in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000003-0000-0000-0000-000000000000', '      ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '      ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Position in genitive case in additional language', 'Text')

-- Currency builtin properties
SET @Class = dbo.adfGetClassByName('Adf.Currency')
INSERT INTO [Property]([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000001-0000-0000-0000-000000000000', ' ', 'Yes/No', 'NONE', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', ' ', 'NONE')
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'en', 'Is male', 'NONE')

-- Bank Account properties
SET @Class = dbo.adfGetClassByName('Adf.BankAccount')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000001-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Bank name in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000002-0000-0000-0000-000000000000', '   ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '   ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Bank city in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000003-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Bank address in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000004-0000-0000-0000-000000000000', ' -   ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', ' -   ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Correspondent bank name in additional language', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000005-0000-0000-0000-000000000000', ' -   ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', ' -   ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Correspondent bank address in additional language', 'Text')

-- Project properties
SET @Class = dbo.adfGetClassByName('Pjm5.Project')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000001-0000-0000-0000-000000000000', ' ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', ' ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Contract type', 'Text')
----

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000002-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Contract type in additional language', 'Text')

INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000003-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Project name in additional language', 'Text')
----

-- Qualification properties
SET @Class = dbo.adfGetClassByName('Pjm5.Qualification')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000001-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Qualification name in additional language', 'Text')
----

-- Service properties
SET @Class = dbo.adfGetClassByName('Pjm5.Service')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000001-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Service name in additional language', 'Text')
----

-- ServiceAssignment properties
SET @Class = dbo.adfGetClassByName('Pjm5.ServiceAssignment')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000001-0000-0000-0000-000000000000', '    ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '    ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Service name in additional language', 'Text')
----

-- PhoneCallCode properties
SET @Class = dbo.adfGetClassByName('Pjm5.PhoneCallCode')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES(@Class, '00000001-0000-0000-0000-000000000000', '     ', 'Text', 'Text', 1)
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '     ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Phone call code in additional language', 'Text')

-- ExpenseCode properties
SET @Class = dbo.adfGetClassByName('Pjm5.ExpenseCode')
INSERT INTO [Property] ([Class], [Guid], [Name], [Type], [Format], [BuiltIn])
VALUES (@Class, '00000001-0000-0000-0000-000000000000', '   ', 'Text', 'Text', 1) 
SET @ID = SCOPE_IDENTITY()
INSERT INTO [PropertyGlobal] ([ID], [Language], [Name], [Format])
VALUES (@ID, 'ru', '   ', 'Text')
INSERT INTO [PropertyGlobal]	([ID], [Language], [Name], [Format])
VALUES	(@ID, 'en', 'Name in additional language', 'Text')
