/******************************************************************************
**		Name: pjm6ExchangeSyncDeleteContact
**		Auth: pavel.svintsov
**		Date: 27.01.2011 16:00:01
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**		
**    
*******************************************************************************/
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm6ExchangeSyncDeleteContact]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm6ExchangeSyncDeleteContact'
		DROP PROCEDURE [dbo].[pjm6ExchangeSyncDeleteContact]
	END
GO
PRINT 'Creating procedure pjm6ExchangeSyncDeleteContact'
GO

SET QUOTED_IDENTIFIER ON
GO
-------------------------------------------------------------------------------
CREATE PROCEDURE [pjm6ExchangeSyncDeleteContact]
	@UserID TIdentifier,
	@ContactID TIdentifier
AS
	DECLARE @EmployeeClass TClass
	SET	@EmployeeClass = dbo.adfGetClassByName('Adf.Employee')
	
	DELETE [UserContact]
	WHERE
		[UserID] = @UserID AND
		[BusinessCardClass] = @EmployeeClass AND
		[BusinessCardID] = @ContactID

	RETURN 0
GO

GRANT EXECUTE ON pjm6ExchangeSyncDeleteContact TO PUBLIC
GO
