IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmSimpleAssignment')
	BEGIN
		PRINT 'Dropping Procedure lmSimpleAssignment'
		DROP  Procedure  lmSimpleAssignment
	END

GO

PRINT 'Creating Procedure lmSimpleAssignment'
GO
/******************************************************************************
**		File: 
**		Name: lmSimpleAssignment
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmSimpleAssignment
AS
	SET NOCOUNT ON
	
	SELECT
		[Assignment].[ID],
		[Assignment].[State],
		[Employee].[FileAs] as [Name],
		[Assignment].[ProjectID],
		[Assignment].[EmployeeID]	
	FROM
		[vwAssignment] as [Assignment]
		INNER JOIN [Employee]
			ON ([Assignment].[EmployeeID]=[Employee].[ID])
	
	RETURN 0
GO

GRANT EXEC ON lmSimpleAssignment TO PUBLIC
GO
 