 IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm6MsProjectDelete]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm6MsProjectDelete'
		DROP PROCEDURE [dbo].[pjm6MsProjectDelete]
	END
GO

PRINT 'Creating procedure pjm6MsProjectDelete'
GO


CREATE PROCEDURE [pjm6MsProjectDelete] @ID TIdentifier
AS
	
	SET NOCOUNT ON

DECLARE @ProjectID TIdentifier
SELECT @ProjectID = [ID] FROM [Project] WHERE [MsProjectID] = @ID

;
BEGIN TRY
	BEGIN TRANSACTION;
	DELETE [Project]
	WHERE [Project].[ID] = @ProjectID
	COMMIT TRANSACTION;
END TRY
BEGIN CATCH
	BEGIN ROLLBACK TRANSACTION; END;
	UPDATE [Project]
	SET	[State] = 3
	WHERE [ID] = @ProjectID
END CATCH;

RETURN 0
GO

GRANT EXECUTE ON [pjm6MsProjectDelete] TO PUBLIC
GO
    