IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCompanyManagerList')
	BEGIN
		PRINT 'Dropping Procedure adfCompanyManagerList'
		DROP  Procedure  adfCompanyManagerList
	END

GO

PRINT 'Creating Procedure adfCompanyManagerList'
GO
/******************************************************************************
**		File: 
**		Name: adfCompanyManagerList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCompanyManagerList
AS
	SET NOCOUNT ON
		
	SELECT
		[Employee].[ID],
		[Employee].[FileAs] as [Name],
		[Employee].[State]
	FROM
		[Employee]
		INNER JOIN [Company]
			ON [Company].[ManagerEmployeeID] = [Employee].[ID]	
	GROUP BY 
		[Employee].[ID],
		[Employee].[FileAs],
		[Employee].[State]	

	RETURN 0
GO

GRANT EXEC ON adfCompanyManagerList TO PUBLIC
GO
