IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfProjectCategoryList')
	BEGIN
		PRINT 'Dropping Procedure adfProjectCategoryList'
		DROP  Procedure  adfProjectCategoryList
	END

GO

PRINT 'Creating Procedure adfProjectCategoryList'
GO
/******************************************************************************
**		File: 
**		Name: adfProjectCategoryList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: MAN
**		Date: 04.08.10
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**		04.08.10	MAN				first version
*******************************************************************************/
CREATE Procedure adfProjectCategoryList
AS
	SET NOCOUNT ON
	
	DECLARE @ProjectClass int
	SET @ProjectClass = dbo.adfGetClassbyName('Pjm5.Project')
	
	SELECT
		[ID],
		[State],
		[FileAs] AS [Name],
		[Flag]
	FROM
		[Category]
	WHERE
		[DocumentClass] = @ProjectClass

	RETURN 0
GO

GRANT EXEC ON adfProjectCategoryList TO PUBLIC
GO
 