IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'ExchangeSync') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
/*==============================================================*/
/* Table: ExchangeSync                                          */
/*==============================================================*/
CREATE TABLE ExchangeSync
(
	UserID			TIdentifier		NOT NULL,
	DocumentClass	TClass			NOT NULL,
	DocumentID		TIdentifier		NOT NULL,
	Date			TDate			NOT NULL	DEFAULT GETDATE(),
	ExchangeID		TGuid			NULL			
	CONSTRAINT ExchangeSyncPK PRIMARY KEY (UserID, DocumentClass, DocumentID)
)
GO

DELETE [ExchangeSync]
WHERE
	NOT EXISTS
	(
		SELECT * FROM [UserContact]
		WHERE
			[UserContact].[UserID] = [ExchangeSync].[UserID] AND 
			[UserContact].[BusinessCardClass] = [ExchangeSync].[DocumentClass] AND
			[UserContact].[BusinessCardID] = [ExchangeSync].[DocumentID]
	)
GO
