DECLARE @version sql_variant
EXEC adfParameterGet 'DatabaseVersionUpdated', 'Pjm5', @version OUTPUT

IF (CAST(@version as int) < 6) AND (EXISTS(SELECT *FROM DocumentItem))
BEGIN
	UPDATE 
		[Right] 
	SET 
		[Name] = 'AccessToPublicFolders' 
	WHERE 
		[Name] = 'AccessToFolders'
	 
	EXEC adfAccessRightCreate 'AccessToPublicFolders', 'FileClerk'
	EXEC adfAccessRightCreate 'AccessToPublicFolders', 'FileClerkManager'
	EXEC adfAccessRightCreate 'AccessToPublicFolders', 'DocumentActor'
	 
	DECLARE Employee CURSOR FOR
	SELECT userID
	FROM 
		[Employee]
	INNER JOIN [Company] 
		ON [Employee].[CompanyID] = [Company].[ID]
	WHERE [Company].[Own] = 1 AND [Employee].[State] = 1
	AND	[UserID] IS NOT NULL
	
	OPEN Employee
	Declare @UserID TIdentifier

	FETCH NEXT FROM Employee INTO @UserID
	WHILE @@FETCH_STATUS = 0
	BEGIN
		EXEC adfRoleMemberCreate 'DocumentActor','', @UserID
		FETCH NEXT FROM Employee INTO @UserID
	END
	CLOSE Employee
	DEALLOCATE Employee
END

GO
 

 
 IF EXISTS(
	SELECT 
		*
	FROM
		[AccessRight]
		INNER JOIN [Right]
			ON [AccessRight].[RightID] = [Right].[ID]
	WHERE
		[Right].[Name] = 'AccessToFolders'
 )
 BEGIN
	UPDATE 
		[Right] 
	SET 
		[Name] = 'AccessToPublicFolders' 
	WHERE 
		[Name] = 'AccessToFolders'
 END
 GO