 IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm5IsAssistant]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm5IsAssistant'
		DROP FUNCTION [dbo].[fnPjm5IsAssistant]
	END

GO

PRINT 'Creating function fnPjm5IsAssistant'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm5IsAssistant
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnPjm5IsAssistant()
RETURNS BIT
AS
BEGIN
	DECLARE
		@ViewAllProjects TBool,
		@Assistant TBool
	SET @ViewAllProjects = dbo.adfHasAccessRight(dbo.adfGetRightID('ViewAllProjects')) 
	SET @Assistant = dbo.adfHasAccessRight(dbo.adfGetRightID('Assistant'))
	IF @ViewAllProjects = 1 AND @Assistant = 1
		RETURN 1

	RETURN 0
END
GO

GRANT EXEC ON fnPjm5IsAssistant TO PUBLIC
GO
