IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnReportGetPeriod]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnReportGetPeriod'
		DROP FUNCTION [dbo].[fnReportGetPeriod]
	END
GO

PRINT 'Creating function fnReportGetPeriod'
GO

/******************************************************************************
**		File: fnReportGetPeriod.sql
**		Name: fnReportGetPeriod
**
**              
**		Return values:
**		
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: MAN
**		Date: 23/08/2010 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**		23.08.2010	MAN				First Version
*******************************************************************************/
CREATE FUNCTION dbo.fnReportGetPeriod
(
	@PeriodStart TDateTime,
	@PeriodEnd TDateTime,
	@DateTypeSelector TIdentifier
)
RETURNS @Result TABLE 
(
	PeriodStart		TDateTime,
	PeriodEnd		TDateTime,
	PeriodName		TName
)
AS
BEGIN

	
RETURN
END
GO