/******************************************************************************
**		Name: pjm6ExchangeSyncGetContactPicture
**		Auth: pavel.svintsov
**		Date: 14.04.2011 06:00:01
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**		
**    
*******************************************************************************/
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[pjm6ExchangeSyncGetContactPicture]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	BEGIN
		PRINT 'Dropping procedure pjm6ExchangeSyncGetContactPicture'
		DROP PROCEDURE [dbo].[pjm6ExchangeSyncGetContactPicture]
	END
GO
PRINT 'Creating procedure pjm6ExchangeSyncGetContactPicture'
GO

SET QUOTED_IDENTIFIER ON
GO
-------------------------------------------------------------------------------
CREATE PROCEDURE [pjm6ExchangeSyncGetContactPicture]
	@ContactID TIdentifier
AS
	SET NOCOUNT ON
	
	DECLARE @EmployeeClass TClass
	SET @EmployeeClass = dbo.adfGetClassByName('Adf.Employee')
	SELECT
		[ExtendedProperties]
	FROM
		[ExtendedProperties]
	WHERE
		[ID] = @ContactID AND [Class] = @EmployeeClass
	
	RETURN 0
GO

GRANT EXECUTE ON pjm6ExchangeSyncGetContactPicture TO PUBLIC
GO

