IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmResolution')
	BEGIN
		PRINT 'Dropping Procedure lmResolution'
		DROP  Procedure  lmResolution
	END

GO

PRINT 'Creating Procedure lmResolution'
GO
/******************************************************************************
**		File: 
**		Name: lmResolution
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmResolution
AS
	SET NOCOUNT ON
		
	SELECT
		[Resolution].[ID],
		[Resolution].[State],
		[Resolution].[FileAs] AS [Name],
		[Resolution].[Code]
	FROM
		[Resolution]
	
	RETURN 0
GO

GRANT EXEC ON lmResolution TO PUBLIC
GO
