 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'lmResourceType')
	BEGIN
		PRINT 'Dropping Procedure lmResourceType'
		DROP  Procedure  lmResourceType
	END

GO

PRINT 'Creating Procedure lmResourceType'
GO
/******************************************************************************
**		File: 
**		Name: lmResourceType
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: Dmitry Kolchev
**		Date: 2006-05-12
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure lmResourceType
AS
	SET NOCOUNT ON
		
	SELECT
		[ResourceType].[ID],
		[ResourceType].[State],
		[ResourceType].[FileAs] AS [Name]
	FROM
		[ResourceType]
	
	RETURN 0
GO

GRANT EXEC ON lmResourceType TO PUBLIC
GO
