 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'TR' AND name = 'pjm5trProjectInsert')
	BEGIN
		PRINT 'Dropping Trigger pjm5trProjectInsert'
		DROP  Trigger pjm5trProjectInsert
	END
GO

/******************************************************************************
**		File: 
**		Name: pjm5trProjectInsert
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating Trigger pjm5trProjectInsert'
GO
CREATE TRIGGER pjm5trProjectInsert ON [Project] FOR INSERT
AS
	IF @@rowcount = 0 
		RETURN
	INSERT INTO [PaymentPeriod] ([ProjectID]) SELECT [ID] FROM [inserted]

	RETURN
GO