/****** Object:  StoredProcedure [pjmams].[ModuleBrowse]    Script Date: 12/12/2006 12:24:37 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[pjmams].[ModuleBrowse]') AND type in (N'P', N'PC'))
BEGIN
	PRINT 'Dropping procedure [pjmams].[ModuleBrowse]'
	DROP PROCEDURE [pjmams].[ModuleBrowse]
END
GO

PRINT 'Creating procedure [pjmams].[ModuleBrowse]'
GO

CREATE PROCEDURE [pjmams].[ModuleBrowse] 
AS
	SET NOCOUNT ON
	
	SELECT DISTINCT
		[Module].[Description] as [Module],
		[Module].[CategoryID],
		[Category].[Name] as [Category],
		[Module].[Active]
	FROM
		[pjmams].[Module] INNER JOIN [pjmams].[Category]
			ON ([Module].[CategoryID] = [Category].[ID])
	WHERE
		[Module].[Active] = 1
	AND
		[Module].[Description] IS NOT NULL AND [Module].[Description] != ''
		
	RETURN 0
GO

